## com.lowagie.text.rtf.text
Class RtfNewPage

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfNewPage

All Implemented Interfaces:
  RtfBasicElement

    public class RtfNewPage

extends RtfElement

The RtfNewPage creates a new page. INTERNAL CLASS

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private static byte[]` `NEW_PAGE` Constant for a new page

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfNewPage(RtfDocument doc)` Constructs a RtfNewPage

Method Summary
`byte[]` `write()` Writes a new page

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_PAGE

    private static final byte[] NEW_PAGE

  Constant for a new page

Constructor Detail

### RtfNewPage

    public RtfNewPage(RtfDocument doc)

  Constructs a RtfNewPage

  Parameters:
    `doc` - The RtfDocument this RtfNewPage belongs to

Method Detail

### write

    public byte[] write()

  Writes a new page

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfElement`
  Returns:
    A byte array with the new page set